Print Friendly

# Class Ext.ComponentMgr

Package: | Ext
Class: | ComponentMgr
Extends: | Object
Defined In: | Component.js

Provides a common registry of all components on a page so that they can be easily accessed by component id.
This class is a singleton and cannot be created directly.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| get(`String id`) : void | ComponentMgr
Returns a component by id
| onAvailable(`String id`, `Funtction fn`, `Object scope`) : void | ComponentMgr
Registers a function that will be called when a specified component is added to ComponentMgr

## Public Events

This class has no public events.

## Method Details

### get

`public function get(`String id`)`
Returns a component by id
Parameters:

- `id` : String
  The component id

Returns:

- `void`

This method is defined by ComponentMgr.

### onAvailable

`public function onAvailable(`String id`, `Funtction fn`, `Object scope`)`
Registers a function that will be called when a specified component is added to ComponentMgr
Parameters:

- `id` : String
  The component id
- `fn` : Funtction
  The callback function
- `scope` : Object
  The scope of the callback

Returns:

- `void`

This method is defined by ComponentMgr.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.